entity fpga_a is
port
(
    inputs:  in  std_logic;
    outputs: out std_logic
);
end fpga_a;

architecture fpga_a_arch of fpga_a is
begin

    u_fpga_common: entity work.fpga_common(fpga_common_arch)
    port map
    (
        inputs  => inputs,
        outputs => outputs
    );

    u_data_rx: entity work.data_rx(data_rx_arch)
    port map
    (
        inputs  => inputs,
        outputs => outputs
    );

end architecture fpga_a_arch;
